---
updatedAt: 2026-05-27T12:47:57.000Z
agentTools:
  projectIndex: https://developer.onetrust.com/onetrust/llms.txt
---

# Add Members to User Group

Use this API to add users as members of a specific user group. 

> 🗒 Things to Know
>
> - When a user is added as a member of a user group, the user inherits the role and organization configured for that user group. If the user belongs to other user groups, the user will still retain existing membership with those groups in addition to their other existing roles and permissions.
> - The `userId` of the users to be added to the user group can be specified in the request body in a comma separated list.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Platform - Access Management",
    "version": "1.0",
    "contact": {
      "name": "OneTrust Support",
      "url": "https://my.onetrust.com/s/contactsupport"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0"
    },
    "description": "The Access Management APIs enable you to programmatically control user access, manage organizational hierarchies, and monitor authentication activities across your OneTrust platform."
  },
  "servers": [
    {
      "url": "https://{hostname}",
      "variables": {
        "hostname": {
          "default": "hostname",
          "description": "The OneTrust hostname such as app.onetrust.com, app-eu.onetrust.com, app-de.onetrust.com, app-uk.onetrust.com, app-apac.onetrust.com, trial.onetrust.com, or uat.onetrust.com."
        }
      }
    }
  ],
  "tags": [
    {
      "name": "User Groups",
      "description": "APIs to manage user groups and their memberships. Create groups to organize users, assign permissions collectively, add or remove members, and retrieve information about existing groups and their members.",
      "externalDocs": {
        "description": "OpenAPI 3.1.0 - Download Definition",
        "url": "https://developer.onetrust.com/onetrust/openapi/platform-access-management.json"
      },
      "x-displayName": "User Groups"
    }
  ],
  "paths": {
    "/api/access/v1/user-groups/{userGroupId}/members": {
      "post": {
        "operationId": "addMembersUsingPOST",
        "summary": "Add Members to User Group",
        "description": "Use this API to add users as members of a specific user group. \n\n> 🗒 Things to Know\n>\n> - When a user is added as a member of a user group, the user inherits the role and organization configured for that user group. If the user belongs to other user groups, the user will still retain existing membership with those groups in addition to their other existing roles and permissions.\n> - The `userId` of the users to be added to the user group can be specified in the request body in a comma separated list.",
        "tags": [
          "User Groups"
        ],
        "x-onetrust": {
          "spec-label": "https://developer.onetrust.com/onetrust/openapi/platform-access-management.json"
        },
        "parameters": [
          {
            "name": "userGroupId",
            "in": "path",
            "description": "The unique identifier of the user group.",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "example": "c01233a5-482c-4274-8f88-15e24c1c96a4"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Platform-AccessManagement_AddMembersRequest"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Created"
          },
          "400": {
            "description": "Bad request"
          },
          "401": {
            "description": "Unauthorized"
          },
          "403": {
            "description": "Forbidden"
          },
          "404": {
            "description": "User group not found"
          },
          "429": {
            "description": "Too Many Requests. \nFor more information, see [API Rate Limits](https://developer.onetrust.com/onetrust/reference/rate-limits-overview).",
            "headers": {
              "Retry-After": {
                "schema": {
                  "description": "The number of seconds after which requests will be allowed again.",
                  "format": "int32"
                }
              },
              "ot-period": {
                "schema": {
                  "description": "The unit of time for which the rate limit applies",
                  "enum": [
                    "HOUR",
                    "MINUTE"
                  ]
                }
              },
              "ot-ratelimit-event-id": {
                "schema": {
                  "description": "The unique identifier for the rate-limiting event.",
                  "format": "uuid"
                }
              },
              "ot-request-made": {
                "schema": {
                  "description": "The number of requests made within the specified period.",
                  "format": "int32"
                }
              },
              "ot-requests-allowed": {
                "schema": {
                  "description": "The number of requests allowed within the specified period.",
                  "format": "int32"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error"
          }
        },
        "security": [
          {
            "Platform-AccessManagement_OAUTH2": [
              "USER"
            ]
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "Platform-AccessManagement_AddMembersRequest": {
        "type": "object",
        "properties": {
          "members": {
            "description": "The list of user identifiers to be added to the user group.",
            "type": "array",
            "items": {
              "type": "string",
              "format": "uuid",
              "example": "550e8400-e29b-41d4-a716-446655440000"
            },
            "uniqueItems": true
          },
          "groupId": {
            "description": "The unique identifier of the user group.",
            "type": "string",
            "format": "uuid",
            "example": "a739211d-d216-4398-a1c2-f7a20412692d"
          }
        }
      }
    },
    "securitySchemes": {
      "Platform-AccessManagement_OAUTH2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://{hostname}/api/access/v1/oauth/token",
            "scopes": {
              "ORGANIZATION": "Grants full access to manage organizations. This includes Create, Read, Update and Delete operations.",
              "USER": "Grants full access to manage Users, User Groups and User Group membership. This includes Create, Read, Update and Delete operations."
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false,
    "proxy-enabled": false,
    "metrics-enabled": false
  },
  "x-onetrust": {
    "spec-label": "OpenAPI 3.1.0"
  }
}
```

# Sibling pages

* [Get List of User Groups](https://developer.onetrust.com/onetrust/reference/retrieveusergroupsusingget.md)
* [Create User Group](https://developer.onetrust.com/onetrust/reference/createusergroupusingpost.md)
* [Delete User Group](https://developer.onetrust.com/onetrust/reference/deleteusergroupusingdelete.md)
* [Update User Group](https://developer.onetrust.com/onetrust/reference/updateusergroupusingput.md)
* [Remove Members from User Group](https://developer.onetrust.com/onetrust/reference/removemembersusingdelete.md)
* [Get User Group Members](https://developer.onetrust.com/onetrust/reference/retrievemembersusingget.md)